<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>

	<body>
		<!-- Header tag is a semantic tag to inform developer and client that this component is for the header of the web page. -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML table. -->
			<section>
				<p><em>Reserved characters in HTML (e.g &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the border thickness of our border -->
				<table border="2">
					<!-- thead tag is for the header of the table. -->
					<thead>
						<!-- tr tag defines a table row -->
						<tr>
							<!-- th tag defines a table header element. -->
							<th colspan="2">Entity</th>
							<th rowspan="2">Description</th>
						</tr>

						<!-- Second row of our header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>

					<!-- tbody tag is for the body of the table. -->
					<tbody>
						<!-- this is the first row -->
						<tr>
							<!-- td tag is used for table columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<!-- this is the second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<!-- this is the 3rd row -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<!-- 4th row -->
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<!-- 5th row -->
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<!-- 6th row -->
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotationmark(apostrophe)</td>
						</tr>

						<!-- 7th row -->
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<!-- 8th row -->
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower Tilde</td>
						</tr>

						<!-- 9th row -->
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>

					<!-- tfoot tag is for the foot of the table. -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
						
					</tfoot>

				</table>

			</section>
			<!-- This is the end of Table section -->

			<!-- This section is for the HTML form -->
			<section>
				<h2 align = "center">HTML Form</h2>
-
				<p>Input elements that make up a form</p>

				<form>
					<!-- Text input -->
					<label for = "fullname">Full Name:</label><br/>
					<input type="text" name="fullname" id="fullname" required /><br/>

					<label for = "birthdate">Birthdate</label><br/>
					<input type="date" name="birthdate" id="birthdate" required /><br/>

					<label for = "id">Age</label><br/>
					<input type="number" name="age" id = "age" required /><br/>

					<!-- Dropdown -->
					<label for = "gender">Gender:</label>
					<select name = "gender" id = "gender">
						<option value = "male">Male</option>
						<option value = "female">Female</option>
					</select><br/>

					<!-- textarea -->
					<label for = "suggestion">Suggestion:</label><br/>
					<textarea name = "Suggestion" rows="5" cols="5" id = "suggestion" required /></textarea><br/>

					<!-- Radio button -->
					<label>Civil Status</label><br/>

					<input type="radio" name="civilstatus" value = "single" id = "single"/>
					<label for = "single">Single</label><br/>

					<input type="radio" name="civilstatus" value = "married" id = "married"/>
					<label for = "married">Married</label><br/>

					<!-- Checkbox -->
					<label>Job:</label><br/>

					<input type="checkbox" name="job1" value ="developer" id = "developer"/>
					<label for = "developer">Developer</label><br/>

					<input type="checkbox" name="job2" value ="student" id = "student"/>
					<label for = "student">Student</label><br/>

					<input type="checkbox" name="job3" value ="manager" id = "manager"/>
					<label for = "manager">Manager</label>



					<br/><button>Submit</button>
					<button type = "reset">Reset</button>


				</form>
			</section>
		</main>

	</body>

</html>